;(function (){
	'use strict';
	function short_international_phonenumber_prefix_select() {
		var prefix = {};
        document.querySelectorAll('select[id^=id_telephone_]').forEach(f => {
			var f_id = f.id;
			prefix[f_id] = {};
			var local_prefix = prefix[f_id];
			local_prefix.state = 1;
			local_prefix.long = f.cloneNode(true).childNodes;
			local_prefix.short = f.cloneNode(true).childNodes;
			var short_split = '';
			var short_text_padding = '';
			for (var opt of local_prefix.short) {
				if (opt.value != '') {
					short_split = opt.text.split('+')[1];
					short_text_padding = short_split.length < 3 ? '&nbsp;&nbsp;' : '';
					short_text_padding += short_split.length < 2 ? '&nbsp;&nbsp;' : '';
					opt.innerHTML = short_text_padding + '+' + short_split;
				}
			}
			var toggle_texts = evt => {
				/*console.log('long', local_prefix.long, local_prefix.long[1].textContent,
					local_prefix.long[1]);
				console.log('short', local_prefix.short, local_prefix.short[1].textContent,
					local_prefix.short[1]);*/
				var local_values = local_prefix[local_prefix.state ? 'short' : 'long'];
				var local_selected = f.options.selectedIndex;
				var c = f.firstChild;
				for (var opt of local_values) {
					c.textContent = opt.textContent;
					c = c.nextSibling;
				}
				if (local_selected > -1) {
					f.options[local_selected].selected = true;
				}
				local_prefix.state = !local_prefix.state;
			};
			f.addEventListener('focus', toggle_texts);
			f.addEventListener('blur', toggle_texts);
			f.addEventListener('change', evt => { evt.target.previousSibling.focus(); });
			toggle_texts({target: f});
		});
	}
	setTimeout(short_international_phonenumber_prefix_select, 0);
}());

